Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.transaction
Class DummyUserTransaction

    java.lang.Object
      org.jboss.cache.transaction.DummyUserTransaction

All Implemented Interfaces:
  Serializable, UserTransaction

public class DummyUserTransaction
extends Object
implements UserTransaction, Serializable

Version:
  $Revision: 1.5 $ Date: May 15, 2003 Time: 4:20:17 PM
Author:
  bela
See Also:
  Serialized Form

Constructor Summary
`DummyUserTransaction(DummyTransactionManager tm)`

Method Summary
`void` | `begin()` Starts a new transaction, and associate it with the calling thread.
`void` | `commit()` Attempt to commit this transaction.
`int` | `getStatus()` Get the status of the transaction.
`void` | `rollback()` Rolls back this transaction.
`void` | `setRollbackOnly()` Mark the transaction so that the only possible outcome is a rollback.
`void` | `setTransactionTimeout(int seconds)` Change the transaction timeout for transactions started by the calling thread with the `begin()` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyUserTransaction

    public DummyUserTransaction(DummyTransactionManager tm)

Method Detail

### begin

    public void begin()
               throws NotSupportedException,
                      SystemException

  Starts a new transaction, and associate it with the calling thread.

  Specified by:
    `begin` in interface `UserTransaction`
  Throws:
    `NotSupportedException` - If the calling thread is already associated with a transaction, and nested transactions are not supported.
    `SystemException` - If the transaction service fails in an unexpected way.

### commit

    public void commit()
                throws RollbackException,
                       HeuristicMixedException,
                       HeuristicRollbackException,
                       SecurityException,
                       SystemException

  Attempt to commit this transaction.

  Specified by:
    `commit` in interface `UserTransaction`
  Throws:
    `RollbackException` - If the transaction was marked for rollback only, the transaction is rolled back and this exception is thrown.
    `SystemException` - If the transaction service fails in an unexpected way.
    `HeuristicMixedException` - If a heuristic decision was made and some some parts of the transaction have been committed while other parts have been rolled back.
    `HeuristicRollbackException` - If a heuristic decision to roll back the transaction was made.
    `SecurityException` - If the caller is not allowed to commit this transaction.

### rollback

    public void rollback()
                  throws IllegalStateException,
                         SystemException

  Rolls back this transaction.

  Specified by:
    `rollback` in interface `UserTransaction`
  Throws:
    `IllegalStateException` - If the transaction is in a state where it cannot be rolled back. This could be because the transaction is no longer active, or because it is in the `prepared state`.
    `SystemException` - If the transaction service fails in an unexpected way.

### setRollbackOnly

    public void setRollbackOnly()
                         throws IllegalStateException,
                                SystemException

  Mark the transaction so that the only possible outcome is a rollback.

  Specified by:
    `setRollbackOnly` in interface `UserTransaction`
  Throws:
    `IllegalStateException` - If the transaction is not in an active state.
    `SystemException` - If the transaction service fails in an unexpected way.

### getStatus

    public int getStatus()
                  throws SystemException

  Get the status of the transaction.

  Specified by:
    `getStatus` in interface `UserTransaction`
  Returns:
    The status of the transaction. This is one of the `Status` constants.
  Throws:
    `SystemException` - If the transaction service fails in an unexpected way.

### setTransactionTimeout

    public void setTransactionTimeout(int seconds)
                               throws SystemException

  Change the transaction timeout for transactions started by the calling thread with the `begin()` method.

  Specified by:
    `setTransactionTimeout` in interface `UserTransaction`
  Parameters:
    `seconds` - The new timeout value, in seconds. If this parameter is `0`, the timeout value is reset to the default value.
  Throws:
    `SystemException` - If the transaction service fails in an unexpected way.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.